use blog::Post;

fn main() {
    let mut post = Post::new();

    post.add_text("Na lunch jadłem dzisiaj sałatkę");
    assert_eq!("", post.content());

    post.request_review();
    assert_eq!("", post.content());

    post.approve();
    assert_eq!("Na lunch jadłem dzisiaj sałatkę", post.content());
}
